You are not logged in.

#1 2004-04-03 02:22:42

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

gedit problems 2.6

gedit: relocation error: /opt/gnome/lib/gnome-vfs-2.0/modules/libfile.so: undefined symbol: gnome_vfs_get_file_mime_type_fast

I get that everytime I open a file in gedit, or try to save a file.  I just upgraded to gnome 2.6, and gedit 2.4 worked fine.  I tried reinstalling gnome and gedit, here's what I get:
After I uninstalled gnome, i did...

pacman -S gedit

and got...

Targets: gnome-common-2.4.0-3 libgnomecanvas-2.6.0-1 orbit2-2.10.0-1
         libbonobo-2.6.0-1 gconf-2.6.0-1 gnome-mime-data-2.4.1-3
         gnome-vfs-2.6.0-1 libgnome-2.6.0-1 libbonoboui-2.6.0-1
         libgnomeui-2.6.0-1 libgnomeprintui-2.6.0-1 gail-1.6.0-1 eel-2.6.0-1
         gedit-2.6.0-1

Proceed with upgrade? [Y/n] Y 
checking package integrity... done.
loading package data... done.
checking for file conflicts... done.
installing gnome-common... done.
installing libgnomecanvas... done.
installing orbit2... done.
installing libbonobo... done.
installing gconf... done.
installing gnome-mime-data... done.
installing gnome-vfs... done.
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
installing libgnome... done.
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory
installing libbonoboui... done.
installing libgnomeui... done.
installing libgnomeprintui... done.
installing gail... done.
installing eel... done.
installing gedit... done.
opt/gnome/bin/gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open shared object file: No such file or directory

What's the meaning of this?


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#2 2004-04-03 14:00:55

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

Ediited the post and made it more readable and informative.


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#3 2004-04-03 14:08:48

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

I just removed gnome and gedit, upgraded gconf, and installed gedit again, and there were no errors from pacman or conf, but I still have the same errors in gedit!


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#4 2004-04-03 18:38:33

fragilek
Member
From: UK
Registered: 2004-04-03
Posts: 31

Re: gedit problems 2.6

Did you have any problems installing Gnome 2.6? I know I certainly did...

See http://bbs.archlinux.org/viewtopic.php? … =gnome+2+6 for information on getting the new gnome to install correctly.


PGP Key: 0xAA86325D
Email: fragile_k@myrealbox.com
Jabber: fragilek@jabber.org

Offline

#5 2004-04-03 23:08:29

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

I did everything on that site... I'm still having problems with gnome and gedit...


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#6 2004-04-04 09:30:33

Blaasvis
Member
Registered: 2003-01-17
Posts: 467

Re: gedit problems 2.6

looks like orbit needs a ldconfig too.

try this:
pacman -Rc gnome-common
pacman -S orbit2
pacman -S gnome

it can't find the libs on install due to ldconfig isn't run after each package...


Freedom is what i love

Offline

#7 2004-04-04 12:39:47

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

I tried that.  I can install with no errors (with the new pacman), but same results.  The new libtool doesn't help either.


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#8 2004-04-05 01:59:08

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

I've installed gnome correctly (except for Settings Daemon errors, which prevents gnome from running), but I'm still getting the relocation error.  This is a pain!  Can anyone give me any help?


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#9 2004-04-05 02:03:32

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

I tried completely removing all gnome compents, and removing the /opt/gnome directory and reinstalling gedit, but same results...


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#10 2004-04-05 02:14:35

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

nm /opt/gnome/lib/gnome-vfs-2.0/modules/libfile.so | grep gnome_vfs_get_file

returns...

         U gnome_vfs_get_file_mime_type
         U gnome_vfs_get_file_mime_type_fast

U?  Unknown?

What's the problem?


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#11 2004-04-05 02:15:21

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

This error occurs when I try to Open or Save a file, but I can type things in to a textbox fine.


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#12 2004-04-05 02:19:31

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

I ran /etc/profile.d/gnome.sh as normal usr and as root, no difference.

I ran ldconfig, and added /opt/gnome/lib/gnome-vfs-2.0/modules, even though /opt/gnome/lib was already there... no difference... Made ldconfig verbose, everything looked normal...


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#13 2004-04-05 04:59:02

Blaasvis
Member
Registered: 2003-01-17
Posts: 467

Re: gedit problems 2.6

then do you have any other packages installed then the official arch packages ?

did you rebuild gnome-vfs... ?


Freedom is what i love

Offline

#14 2004-04-05 11:33:20

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

how do i rebuild it?


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#15 2004-04-05 21:22:54

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

I dont have any nonArch pacakges that have to do with gnome...

I rebuilt the package, but no luck.  Same problems (althought I did find a maketime dep that was unlisted... It's in my other post)...

Grr... I don't want to try to reinstall over something as silly as this!


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#16 2004-04-06 02:01:53

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

Looks like no one else is having the same problem or has any ideas.  I send a bug report via Gnome BugZilla...  Wish my luck!


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#17 2004-04-06 19:19:01

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: gedit problems 2.6

Well... I found a new editor I like better; Gvim.  I still have to get used to it, but I like it!  But anyway... One of the things I miss about Windows... You could plan on the whole OS failing pretty soon anyway, so you could just reformat and reinstall  tongue  Maybe one of these days I'll remove all my packages (except for nano,bash, and pacman)  and see what's leftover and clean, and then reinstall...  Is that a good idea? If I do that, what packages should I keep?  Here's my list...

NANO
BASH
PACMAN
(Coreutils?)
KERNEL


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#18 2004-04-11 19:02:24

JGC
Developer
Registered: 2003-12-03
Posts: 1,660

Re: gedit problems 2.6

I looked around on a users system and found out what the bug was: he had some gnome 2.4 libs installed in /lib.

When you launch gedit, it looks for libs in /lib first, then looks in /etc/ld.so.conf what lib paths it should try then.

Check your system for older versions of libs.

Offline

#19 2004-04-11 19:14:57

zeppelin
Member
From: Athens, Greece
Registered: 2004-03-05
Posts: 807
Website

Re: gedit problems 2.6

try SciTE [pacman -S scite] it is extra light and fast [gtk1]

Offline

Board footer

Powered by FluxBB